[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#355188: apt-get install linux-image-2.6-x fails - chicken & egg with udev upgrade

Package: linux-image-2.6-686
Version: 2.6.15-4

I recently decided to try Etch on my laptop computer (IBM Thinkpad A22e). The dist-upgrade from Sarge worked reasonably well and I generally like the new system. However there is one problem I've encountered that I need some help on.

I'd like to upgrade my kernel from 2.6.9 to the latest as the Etch version of udev doesn't work with the older kernel. I've had to go back to the Sarge version of udev to get a working udev. However, I can't upgrade my kernel because the Etch kernel doesn't work with the old version of udev. Moreover, the Etch version of udev won't even install unless it sees at least a 2.6.12 kernel.

dpkg --install also doesn't work because of the dependency issue.

Is there a way around this problem?

Reply to: